From: "Thomas Beierlein" <tomjbe@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-radio/qsstv/
Date: Sun, 3 Dec 2017 11:21:39 +0000 (UTC) [thread overview]
Message-ID: <1512300078.7b850ba63cd8fe91049bd8989be498e28d20157f.tomjbe@gentoo> (raw)
commit: 7b850ba63cd8fe91049bd8989be498e28d20157f
Author: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 3 11:20:08 2017 +0000
Commit: Thomas Beierlein <tomjbe <AT> gentoo <DOT> org>
CommitDate: Sun Dec 3 11:21:18 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b850ba6
media-radio/qsstv: Version bump. Switch to using QT5
Fixes bug # 639256.
Package-Manager: Portage-2.3.16, Repoman-2.3.6
media-radio/qsstv/Manifest | 3 ++-
media-radio/qsstv/qsstv-9.2.6.ebuild | 52 ++++++++++++++++++++++++++++++++++++
2 files changed, 54 insertions(+), 1 deletion(-)
diff --git a/media-radio/qsstv/Manifest b/media-radio/qsstv/Manifest
index 8c8d2b3f831..71149648f9e 100644
--- a/media-radio/qsstv/Manifest
+++ b/media-radio/qsstv/Manifest
@@ -1 +1,2 @@
-DIST qsstv_9.2.4.tar.gz 11883587 SHA256 509c01e0d966ce622478d89cc168acb66327af452d2ef593731c23f35c8db3c5 SHA512 a354fcc086c08b5bea69416d9d5f9ad7bde5ff496edeecf6403249c77d8f27176b6928dc9885c924a8f61db087a4c8286f1b6f26a73034b72723ba390ce8a9fd WHIRLPOOL 63c4b05e928c5aea0c9295dd4b173021c7e922d3635307a7b52875cf5a39ed2f0d816bd475c11413e8a732a0685f18d61c42bc509954829d61734d7aa4fee7c5
+DIST qsstv_9.2.4.tar.gz 11883587 BLAKE2B 028805eb2486208d72fb0bd16909b2923a2d95d8e6e28d84d564488cedd2da570d0e6c4178101141a4374979958ba97b26c252da67ced3b3be0059c865c6d235 SHA512 a354fcc086c08b5bea69416d9d5f9ad7bde5ff496edeecf6403249c77d8f27176b6928dc9885c924a8f61db087a4c8286f1b6f26a73034b72723ba390ce8a9fd
+DIST qsstv_9.2.6.tar.gz 11385735 BLAKE2B b7192255a3df32d5fbf07f54e1a8b7a7fd092fc4f7cca794df66d73687342e2169cdf8a2e08e7d665e6c27cefa3e9e4574c10c685cc9647caae1156d5c88522f SHA512 10ad86db8a4db432dc757314375487d4128a612a54496105c2acaadce4f2cba8d044f1c5bf1d38534664ef7c065742606027306b3542ae834673ffce58885557
diff --git a/media-radio/qsstv/qsstv-9.2.6.ebuild b/media-radio/qsstv/qsstv-9.2.6.ebuild
new file mode 100644
index 00000000000..a024829b0cd
--- /dev/null
+++ b/media-radio/qsstv/qsstv-9.2.6.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils qmake-utils
+
+MY_P=${P/-/_}
+
+DESCRIPTION="Amateur radio SSTV software"
+HOMEPAGE="http://users.telenet.be/on4qz/"
+SRC_URI="http://users.telenet.be/on4qz/qsstv/downloads/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+CDEPEND="dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ media-libs/hamlib
+ media-libs/openjpeg:2
+ media-libs/alsa-lib
+ media-sound/pulseaudio
+ media-libs/libv4l
+ sci-libs/fftw:3.0="
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ x11-misc/xdg-utils"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ eapply_user
+ # fix docdirectory, install path and hamlib search path
+ sed -i -e "s:/doc/\$\$TARGET:/doc/${PF}:" \
+ -e "s:-lhamlib:-L/usr/$(get_libdir)/hamlib -lhamlib:g" \
+ qsstv/qsstv.pro || die
+}
+
+src_compile() {
+ eqmake5
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+ dodoc README.txt
+}
next reply other threads:[~2017-12-03 11:21 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-03 11:21 Thomas Beierlein [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-01-15 13:41 [gentoo-commits] repo/gentoo:master commit in: media-radio/qsstv/ Thomas Beierlein
2023-08-15 6:02 Thomas Beierlein
2023-06-18 14:41 Thomas Beierlein
2021-12-14 18:28 Thomas Beierlein
2021-11-08 16:00 Rick Farina
2021-10-05 6:48 Agostino Sarubbo
2021-10-04 11:00 Agostino Sarubbo
2021-08-06 14:24 Thomas Beierlein
2021-06-23 11:09 Thomas Beierlein
2021-06-23 11:09 Thomas Beierlein
2021-05-30 0:06 Sam James
2021-05-30 0:06 Sam James
2021-04-23 14:24 Rick Farina
2021-03-28 18:04 Thomas Beierlein
2020-07-08 16:04 Thomas Beierlein
2020-05-23 14:45 Thomas Beierlein
2019-12-30 12:29 Agostino Sarubbo
2019-12-27 16:43 Agostino Sarubbo
2019-11-10 17:04 Thomas Beierlein
2019-08-23 10:37 Agostino Sarubbo
2019-08-23 10:03 Agostino Sarubbo
2019-05-12 13:18 Thomas Beierlein
2018-07-27 2:30 Mikle Kolyada
2018-05-17 17:11 Thomas Beierlein
2018-01-17 9:23 Thomas Beierlein
2018-01-15 19:03 Tobias Klausmann
2018-01-08 22:50 Thomas Deutschmann
2017-08-17 7:11 Thomas Beierlein
2017-06-24 10:53 Thomas Beierlein
2017-06-08 10:16 Agostino Sarubbo
2017-03-06 18:53 Thomas Beierlein
2017-01-06 7:05 Thomas Beierlein
2016-11-12 23:37 David Seifert
2016-07-24 10:19 Thomas Beierlein
2016-07-11 14:59 Thomas Beierlein
2016-06-30 17:04 Thomas Beierlein
2016-05-28 9:45 Thomas Beierlein
2016-05-28 9:45 Thomas Beierlein
2015-09-19 15:06 Agostino Sarubbo
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1512300078.7b850ba63cd8fe91049bd8989be498e28d20157f.tomjbe@gentoo \
--to=tomjbe@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox